%define module	Lingua-Features
%define name	perl-%{module}
%define version 0.3.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Natural languages features
License:	GPL or Artistic
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Lingua/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildrequires:	perl-XML-Generator
Buildrequires:	perl-List-Compare
Buildrequires:  perl-Tie-IxHash
Buildarch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module implements natural languages features in Perl. Its brings the
following advantages:
- type verification
- features and values normalization
- smart comparisons between structures


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Lingua
%{_mandir}/*/*

%changelog
* Tue Sep 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2007.0
- new version

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-5mdv2007.0
- Rebuild

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3-4mdk
- fix buildrequires

* Sat Jun 11 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.3-3mdk 
- don't ship useless empty dirs
- better url
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-2mdk
- fix buildrequires in a backward compatible way

* Fri Jun 11 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- new version
- update description

* Wed Apr 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.2-1mdk
- new version
- rpmbuildupdate aware

* Thu Apr 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1-1mdk
- first mdk release
